#lang racket/base
(require (for-syntax racket/base))

;; Define "keyword" that we use in syntactic forms, but
;; that should not be used on their own.

(define-syntax-rule (define-keywords id ...)
  (begin
    (provide id ...)
    (define-syntax (id stx)
      (raise-syntax-error #f "misuse of keyword" stx))
    ...))

(define-keywords extends : -> num super)
